Address standardization #
The address bar parsing service analyzes the incoming content for the presence of address elements. The found address elements are compared with the address reference directories, and when a sufficient match is found, the only sought and granular address is displayed.
Method address #
POST /clean/address
Functionality #
- clears the incoming data from unnecessary characters to standardize the address;
- determines the coordinates of the address (if available in the reference directory);
- determines the index of the house;
- complements the missing address levels (region, district);
- defines identifiers in various reference bases.
Request parameters #
| Parametr | Description |
|---|---|
| query | String for parsing the address |
| countryCode | Country code in which the address is searched, in ISO 3166 format ( https://www.iso.org/iso-3166-country-codes.html) |
Sample request data #
{
"query": "Москва, Профсоюзная улица, 42к1, 242",
"countryCode": "RU"
}
Response options #
| Parameter | Description |
|---|---|
| original | An incoming address string that participated in the standardization |
| address | Parsed and standardized address string |
| addressFull | Parsed and standardized address string with house part |
| postcodeIn | ZIP code found in the input string |
| postcode | Postal code determined from the reference base in the process of standardization |
| region | Region, region. See the description of the addressLevel structure |
| area | District of the region. See the description of the addressLevel structure |
| municipal | Municipal entity. See the description of the addressLevel structure |
| city | Town. See the description of the addressLevel structure |
| cityArea | A district of the city. See the description of the addressLevel structure |
| settlement | Locality. See the description of the addressLevel structure |
| planStructure | Planning structure (microdistrict). See the description of the addressLevel structure |
| street | Street. See the description of the addressLevel structure |
| houseDetails | House part of the address. See the description of the structure houseDetails |
| coordinates | Geographical coordinates. See the description of the structure coordinates |
| country | Country. See the description of the country structure |
| valid | Sign of correctness of the address |
| quality | Address quality code. See Address Quality Code |
| timezone | Time zone |
| undefinedParts | Unrecognized part of the address |
| metro | List of the nearest metro stations (no more than 3 stations within a 5 km radius). Populated only for POST /clean/address, empty list for other address search methods. See the description of the metro structure |
Nested structures #
Description of the addresslevel structure
| Parameter | Description |
|---|---|
| fullName | Name and type of addressable element |
| name | Name of the addressable element |
| type | Addressable element type |
| codes | String for parsing the address |
Description of the codes structure
| Parameter | Description |
|---|---|
| fias | FIAS code |
| ga | GaCode - global address code |
| osm | OpenStreetMap code |
| gar | GAR code |
| kladr | KLADR code |
Description of the structure of housedetails
| Parameter | Description |
|---|---|
| full_name | house in one line |
| house | house |
| case | frame |
| build | structure |
| liter | letter |
| lend | possession |
| constr | construction |
| stead | plot |
| flat | apartment |
| office | office |
| room | room |
| kab | cabinet |
| place | premises |
| entr | entrance |
| floor | floor |
| block | block |
| pav | pavilion |
| sek | house section |
| abon | subscriber box |
| munit | military unit |
| codes | House codes. See the description of the codes structure |
| apartmentCodes | Codes of the found premises (apartment). Populated only for POST /clean/address and POST /idsearch/address. See the description of the codes structure |
| additional | Additional attributes of the house/premises. Populated only for POST /clean/address and POST /idsearch/address. See the description of the additional structure |
Description of the additional structure
| Parameter | Description |
|---|---|
| houseIsMultiFlat | Multi-apartment building flag |
| houseFlatCount | Number of apartments in the building |
| houseCadnum | Cadastral number of the building |
| apartmentCadnum | Cadastral number of the premises |
Description of the metro structure
| Parameter | Description |
|---|---|
| name | Station name |
| line | Line name |
| city | City |
| distance | Distance to the station, in meters |
Description of the coordinates structure
| Parameter | Description |
|---|---|
| latitude | Latitude |
| longitude | Longitude |
Country structure description
| Parameter | Description |
|---|---|
| name | Country name |
| alpha2 | Country code, in ISO 3166-1 alpha-2 format |
| alpha3 | Country code, in ISO 3166-1 alpha-3 format |
| numeric | Country code, in ISO 3166-1 numeric format |
Sample response data #
{
"original": "Москва, Профсоюзная улица, 42к1, 242",
"addressFull": "г Москва, ул Профсоюзная, дом 42, корпус 1, квартира 242",
"address": "г Москва, ул Профсоюзная",
"postcodeIn": "",
"postcode": "117335",
"region": {
"fullName": "г Москва",
"name": "Москва",
"type": "г",
"codes": {
"fias": "0c5b2444-70a0-4932-980c-b4dc0d3f02b5",
"ga": "RU0770000000000000000000000",
"osm": "R102269",
"gar": "1405113",
"kladr": "7700000000000"
}
},
"area": {
"fullName": "",
"name": "",
"type": "",
"codes": {
"fias": "",
"ga": "",
"osm": "",
"gar": "",
"kladr": ""
}
},
"municipal": {
"fullName": "",
"name": "",
"type": "",
"codes": {
"fias": "",
"ga": "",
"osm": "",
"gar": "",
"kladr": ""
}
},
"city": {
"fullName": "",
"name": "",
"type": "",
"codes": {
"fias": "",
"ga": "",
"osm": "",
"gar": "",
"kladr": ""
}
},
"cityArea": {
"fullName": "Академический р-н",
"name": "Академический",
"type": "р-н",
"codes": {
"fias": "",
"ga": "",
"osm": "",
"gar": "",
"kladr": ""
}
},
"settlement": {
"fullName": "",
"name": "",
"type": "",
"codes": {
"fias": "",
"ga": "",
"osm": "",
"gar": "",
"kladr": ""
}
},
"planStructure": {
"fullName": "",
"name": "",
"type": "",
"codes": {
"fias": "",
"ga": "",
"osm": "",
"gar": "",
"kladr": ""
}
},
"street": {
"fullName": "ул Профсоюзная",
"name": "Профсоюзная",
"type": "ул",
"codes": {
"fias": "9a661426-e65c-4223-af4d-aa5e95b7caac",
"ga": "RU0770000000000000000002392",
"osm": "W30750376",
"gar": "1401987",
"kladr": "77000000000239200"
}
},
"houseDetails": {
"fullName": "дом 42, корпус 1, квартира 242",
"house": "42",
"case": "1",
"build": "",
"liter": "",
"lend": "",
"constr": "",
"stead": "",
"flat": "242",
"office": "",
"room": "",
"kab": "",
"place": "",
"entr": "",
"floor": "",
"block": "",
"pav": "",
"sek": "",
"abon": "",
"munit": "",
"codes": {
"fias": "2d960636-942f-48bd-8362-b39fea91a3e4",
"ga": "",
"osm": "",
"gar": "56965994",
"kladr": ""
},
"apartmentCodes": {
"fias": "0361c9ca-1703-4535-b11a-6fbd372448e1",
"ga": "",
"osm": "",
"gar": "56968181",
"kladr": ""
},
"additional": {
"houseIsMultiFlat": true,
"houseFlatCount": "143",
"houseCadnum": "77:06:0003009:1025",
"apartmentCadnum": "77:06:0003009:2561"
}
},
"coordinates": {
"latitude": 55.674565,
"longitude": 37.55814
},
"country": {
"name": "Россия",
"alpha2": "RU",
"alpha3": "RUS",
"numeric": 643
},
"valid": true,
"quality": {
"unique": 0,
"actuality": 0,
"undefined": 0,
"level": 9,
"house": 3,
"geo": 8
},
"timezone": "UTC+3",
"undefinedParts": "",
"metro": [
{
"name": "Профсоюзная",
"line": "Калужско-Рижская",
"city": "Москва",
"distance": 479
},
{
"name": "Новые Черемушки",
"line": "Калужско-Рижская",
"city": "Москва",
"distance": 550
},
{
"name": "Вавиловская",
"line": "Троицкая",
"city": "Москва",
"distance": 1580
}
]
}